Subject: Re: bug#70538: [PATCH] Enchance and Beautify Emacs Windows NT Installer

From: Elijah G <[email-masked]>
Date: Mon, 6 May 2024 22:53:28 -0600

On Mon, May 6, 2024 at 8:54 PM Corwin Brust <[email-masked]> wrote:
>
> On Sat, May 4, 2024 at 11:40 PM Elijah G <[email-masked]> wrote:
> >
> > Hi corwin I'd like to know if there's still interest in this patch.
> >
>
> Hi Elijah, yes I'm still interested and thank you for the poke.

Hi Corwin.

> Why did you select BPM.
> Are there other options, particularly text based or using a
> program to transform an existing --already in-tree-- image into the
> prettier graphic we need?

The only file format that nsis supports for header and the welcome page
is BPM, according to their README (see: MUI_WELCOMEFINISHPAGE_BITMAP
and MUI_HEADERIMAGE_BITMAP from
https://nsis.sourceforge.io/Docs/Modern%20UI/Readme.html)
I originally wanted to use a PNG or any other format, but sadly it's not
possible doing that,
so I had to export it to bpm and in the recommended size.
Also I wanted to make the existing one more colorful and detailed (and
inspired by other installers).